atk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Atk.IAction An ATK object which encapsulates a link or set of links in a hypertext document.
- Constructor
  Default constructor
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Void To be added. To be added.
- Property
  GLib.Property("end-index")
  System.Int32 Gets the index with the hypertext document at which this link ends. the index with the hypertext document at which this link ends
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.String `` a To be added a To be added
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  Atk.Object `` an object of type Returns the item associated with this hyperlinks nth anchor. an object of type For instance, the returned will implement if the link is a text hyperlink, if the link is an image hyperlink etc.

  Multiple anchors are primarily used by client-side image maps.

- Method
  System.String `` a (zero-index) integer specifying the desired anchor Get a the URI associated with the anchor specified by a string specifying the URI Multiple anchors are primarily used by client-side image maps.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  System.Boolean Indicates whether the link currently displays some or all of its content inline. whether or not this link displays its content inline. Ordinary HTML links will usually return , but an inline <src> HTML element will return .
- Property
  System.Obsolete
  System.Boolean To be added a To be added
- Property
  System.Boolean Since the document that a link is associated with may have changed this method returns if the link is still valid (with respect to the document it references) and otherwise. whether or not this link is still valid
- Event
  GLib.Signal("link_activated")
  System.EventHandler To be added To be added
- Property
  System.Int32 The number of actions. an object of type
- Property
  System.Int32 Gets the number of anchors associated with this hyperlink. the number of anchors associated with this hyperlink
- Property
  GLib.Property("number-of-anchors")
  System.Int32 To be added a To be added
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetEndIndex", Type=typeof(Atk.Hyperlink))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetNAnchors", Type=typeof(Atk.Hyperlink))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetObject", Type=typeof(Atk.Hyperlink))
  Atk.Object `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetStartIndex", Type=typeof(Atk.Hyperlink))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetUri", Type=typeof(Atk.Hyperlink))
  System.String `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIsSelectedLink", Type=typeof(Atk.Hyperlink))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIsValid", Type=typeof(Atk.Hyperlink))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLinkActivated", Type=typeof(Atk.Hyperlink))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLinkState", Type=typeof(Atk.Hyperlink))
  System.UInt32 To be added. To be added. To be added.
- Property
  GLib.Property("selected-link")
  System.Boolean To be added a To be added
- Method
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Property
  GLib.Property("start-index")
  System.Int32 Gets the index with the hypertext document at which this link begins. the index with the hypertext document at which this link begins